/******************************************************************
*  Copyright (C) 2023 - 2023 OneChip, Inc. All rights reserved.
* File name: van_bsp_debug_shell.c
* Author: fanyidong 	 Date:2020.11.21
* Description:		单片机仿shell函数
* Others:
* History:
        1. Date:
                 Author:
                 Modification:
*****************************************************************/


#ifndef VAN_BSP_DEBUG_SHELL_H
#define VAN_BSP_DEBUG_SHELL_H
typedef enum {

	VAN_LOG_CRITICAL = 0,
	VAN_LOG_ERROR = 1,
	VAN_LOG_WARN = 2,
	VAN_LOG_INFO = 3,
	VAN_LOG_NOTICE = 4,
	VAN_LOG_DEBUG = 5,
}VAN_LOG_LEVEL_DEF;


void addChartoCmdBuf(unsigned char inputchar);
void addinputtocmdbuf(unsigned char *cmdbuf, unsigned int len);
void decodedebugfunction(void);
void decodedebugvariable(void);
void find_stm32_Peripherals(void *peripheralsAdd, char *name);


#endif // DRIVER_COMMON_H
